If an installer says it can't be verified or was signed with a certificate that has expired

Please download a new copy of the installer.

In certain circumstances, such as when an installer is damaged, you'll see an alert that says the application can't be verified and may have been corrupted or tampered with during downloading. Or it says that the package was signed with a certificate that has expired and may not be authentic.

You should download the installer again. If the new installer is also affected, please contact the maker of the software for help.


If this happened with a macOS installer, you can find the latest download links in the installation guidelines for these macOS versions. Earlier versions aren't available for download.

Published Date: